

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_cat_catalogo_repuesto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_cat_catalogo_repuesto]
GO
CREATE PROCEDURE [reg_cat_catalogo_repuesto]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[catalogo.repuesto] AS [catalogo.repuesto],
		[garantiaDias] AS [garantiaDias],
		[garantiaHoras] AS [garantiaHoras],
		[vigente] AS [vigente],
		[id_marca] AS [id_marca],
		[peso] AS [peso]
	FROM [cat_catalogo.repuesto]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_cat_catalogo_repuesto]')) DROP VIEW [dbo].[view_cat_catalogo_repuesto]
GO
CREATE  VIEW [view_cat_catalogo_repuesto] AS
SELECT 	[cat_catalogo.repuesto].[id] AS [id],
		[cat_catalogo.repuesto].[uid] AS [uid],
		[cat_catalogo.repuesto].[eid] AS [eid],
		[cat_catalogo.repuesto].[id_usuario_modifico] AS [id_usuario_modifico],
		[cat_catalogo.repuesto].[id_usuario_creo] AS [id_usuario_creo],
		[cat_catalogo.repuesto].[fechaModificacion] AS [fechaModificacion],
		[cat_catalogo.repuesto].[fechaCreacion] AS [fechaCreacion],
		[cat_catalogo.repuesto].[active] AS [active],
		[cat_catalogo.repuesto].[catalogo.repuesto] AS [catalogo.repuesto],
		[cat_catalogo.repuesto].[garantiaDias] AS [garantiaDias],
		[cat_catalogo.repuesto].[garantiaHoras] AS [garantiaHoras],
		[cat_catalogo.repuesto].[vigente] AS [vigente],
		[cat_catalogo.repuesto].[id_marca] AS [id_marca],
[cat_marca].[marca] as [cat_marca_marca],
[cat_marca].[marca_codigo] as [cat_marca_marca_codigo],
[cat_marca].[id_tercero_fabricante] as [cat_marca_id_tercero_fabricante],
		[cat_catalogo.repuesto].[peso] AS [peso],
[cat_catalogo_repuesto].[catalogo_codigo] AS [cat_catalogo_repuesto_catalogo_codigo],
[cat_catalogo_repuesto].[codigoInventario] AS [cat_catalogo_repuesto_codigoInventario],
[cat_catalogo_repuesto].[precioVenta] AS [cat_catalogo_repuesto_precioVenta],
[cat_catalogo_repuesto].[tiempoConsecucion] AS [cat_catalogo_repuesto_tiempoConsecucion],
[cat_catalogo_repuesto].[esNacional] AS [cat_catalogo_repuesto_esNacional],
[cat_catalogo_repuesto].[id_familia] AS [cat_catalogo_repuesto_id_familia],
[cat_catalogo_repuesto_gen_familia].[familia] as [cat_catalogo_repuesto_gen_familia_familia],
[cat_catalogo_repuesto_gen_familia].[familia_codigo] as [cat_catalogo_repuesto_gen_familia_familia_codigo],
[cat_catalogo_repuesto_gen_familia].[id_familia] as [cat_catalogo_repuesto_gen_familia_id_familia],
[cat_catalogo_repuesto].[id_subTipoCatalogo] AS [cat_catalogo_repuesto_id_subTipoCatalogo],
[cat_catalogo_repuesto_cat_subtipoCatalogo].[subtipoCatalogo] as [cat_catalogo_repuesto_cat_subtipoCatalogo_subtipoCatalogo],
[cat_catalogo_repuesto_cat_subtipoCatalogo].[subtipoCatalogo_codigo] as [cat_catalogo_repuesto_cat_subtipoCatalogo_subtipoCatalogo_codigo],
[cat_catalogo_repuesto_cat_subtipoCatalogo].[id_tipoCatalogo] as [cat_catalogo_repuesto_cat_subtipoCatalogo_id_tipoCatalogo],
[cat_catalogo_repuesto].[id_unidad] AS [cat_catalogo_repuesto_id_unidad],
[cat_catalogo_repuesto_gen_unidad].[unidad] as [cat_catalogo_repuesto_gen_unidad_unidad],
[cat_catalogo_repuesto_gen_unidad].[unidad_codigo] as [cat_catalogo_repuesto_gen_unidad_unidad_codigo],
[cat_catalogo_repuesto].[id_impuesto] AS [cat_catalogo_repuesto_id_impuesto],
[cat_catalogo_repuesto_gen_impuesto].[impuesto] as [cat_catalogo_repuesto_gen_impuesto_impuesto],
[cat_catalogo_repuesto_gen_impuesto].[impuesto_codigo] as [cat_catalogo_repuesto_gen_impuesto_impuesto_codigo],
[cat_catalogo_repuesto_gen_impuesto].[valor] as [cat_catalogo_repuesto_gen_impuesto_valor],
[cat_catalogo_repuesto].[descripcion] AS [cat_catalogo_repuesto_descripcion],
[cat_catalogo_repuesto].[bloquearCostear] AS [cat_catalogo_repuesto_bloquearCostear],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [cat_catalogo.repuesto]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[cat_catalogo.repuesto].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[cat_catalogo.repuesto].[id_usuario_creo]
	INNER JOIN [cat_marca] ON [cat_marca].id=[cat_catalogo.repuesto].[id_marca]
	INNER JOIN [cat_catalogo] aS [cat_catalogo_repuesto] ON [cat_catalogo.repuesto].id = [cat_catalogo_repuesto].id
	INNER JOIN [gen_familia]as [cat_catalogo_repuesto_gen_familia] ON [cat_catalogo_repuesto_gen_familia].id=[cat_catalogo_repuesto].[id_familia]
	INNER JOIN [cat_subtipoCatalogo]as [cat_catalogo_repuesto_cat_subtipoCatalogo] ON [cat_catalogo_repuesto_cat_subtipoCatalogo].id=[cat_catalogo_repuesto].[id_subTipoCatalogo]
	INNER JOIN [gen_unidad]as [cat_catalogo_repuesto_gen_unidad] ON [cat_catalogo_repuesto_gen_unidad].id=[cat_catalogo_repuesto].[id_unidad]
	INNER JOIN [gen_impuesto]as [cat_catalogo_repuesto_gen_impuesto] ON [cat_catalogo_repuesto_gen_impuesto].id=[cat_catalogo_repuesto].[id_impuesto]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [cat_catalogo.repuesto].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [cat_catalogo.repuesto].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_catalogo_repuestosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_catalogo_repuestosXusuario_modifico]
GO
CREATE PROCEDURE [sel_cat_catalogo_repuestosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_catalogo.repuesto]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_catalogo_repuestosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_catalogo_repuestosXusuario_creo]
GO
CREATE PROCEDURE [sel_cat_catalogo_repuestosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_catalogo.repuesto]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_catalogo_repuestosXmarca]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_catalogo_repuestosXmarca]
GO
CREATE PROCEDURE [sel_cat_catalogo_repuestosXmarca]
	@p_id_marca INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_catalogo.repuesto]
	WHERE ([id_marca]= @p_id_marca)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_catalogo_repuestos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_catalogo_repuestos]
GO
CREATE PROCEDURE [sel_cat_catalogo_repuestos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_cat_catalogo_repuesto]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_cat_catalogo_repuestos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_cat_catalogo_repuestos]
GO
CREATE PROCEDURE [lis_cat_catalogo_repuestos]
	AS
BEGIN
	SELECT id AS id,
[catalogo.repuesto] AS [cat_catalogo.repuesto]
	FROM [cat_catalogo.repuesto]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_cat_catalogo_repuesto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_cat_catalogo_repuesto]
GO
CREATE PROCEDURE [upd_cat_catalogo_repuesto]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_active bit = null,
		@p_catalogo_repuesto varchar(300) = null,
		@p_garantiaDias int = null,
		@p_garantiaHoras int = null,
		@p_vigente bit = null,
		@p_id_marca int = null,
		@p_peso float = null,
		@p_catalogo_codigo varchar(100),
		@p_codigoInventario varchar(50),
		@p_precioVenta money,
		@p_tiempoConsecucion int,
		@p_esNacional bit,
		@p_id_familia int,
		@p_id_subTipoCatalogo int,
		@p_id_unidad int,
		@p_id_impuesto int,
		@p_descripcion varchar(8000),
		@p_bloquearCostear bit
AS
BEGIN
exec [upd_cat_catalogo]
			@p_id,
			@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			@p_fechaCreacion,
			@p_catalogo_repuesto,
			@p_catalogo_codigo,
			@p_codigoInventario,
			@p_precioVenta,
			@p_tiempoConsecucion,
			@p_esNacional,
			@p_id_familia,
			@p_id_subTipoCatalogo,
			@p_id_unidad,
			@p_id_impuesto,
			@p_descripcion,
			@p_bloquearCostear
	UPDATE [cat_catalogo.repuesto]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[fechaCreacion] = isnull(@p_fechaCreacion,[fechaCreacion]),
			[catalogo.repuesto] = isnull(@p_catalogo_repuesto,[catalogo.repuesto]),
			[garantiaDias] = isnull(@p_garantiaDias,[garantiaDias]),
			[garantiaHoras] = isnull(@p_garantiaHoras,[garantiaHoras]),
			[vigente] = isnull(@p_vigente,[vigente]),
			[id_marca] = isnull(@p_id_marca,[id_marca]),
			[peso] = isnull(@p_peso,[peso])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_cat_catalogo_repuesto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_cat_catalogo_repuesto]
GO
CREATE PROCEDURE [ins_cat_catalogo_repuesto]
		@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_catalogo_repuesto varchar(300),
		@p_garantiaDias int,
		@p_garantiaHoras int,
		@p_vigente bit,
		@p_id_marca int,
		@p_peso float,
		@p_catalogo_codigo varchar(100),
		@p_codigoInventario varchar(50),
		@p_precioVenta money,
		@p_tiempoConsecucion int,
		@p_esNacional bit,
		@p_id_familia int,
		@p_id_subTipoCatalogo int,
		@p_id_unidad int,
		@p_id_impuesto int,
		@p_descripcion varchar(8000),
		@p_bloquearCostear bit
AS
BEGIN
	DECLARE @v_id int
exec @v_id = [ins_cat_catalogo]
			@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			@p_catalogo_repuesto,
			@p_catalogo_codigo,
			@p_codigoInventario,
			@p_precioVenta,
			@p_tiempoConsecucion,
			@p_esNacional,
			@p_id_familia,
			@p_id_subTipoCatalogo,
			@p_id_unidad,
			@p_id_impuesto,
			@p_descripcion,
			@p_bloquearCostear		
INSERT INTO [cat_catalogo.repuesto]
			([id],
			[uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[catalogo.repuesto],
			[garantiaDias],
			[garantiaHoras],
			[vigente],
			[id_marca],
			[peso])
		VALUES( @v_id,
			@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_catalogo_repuesto,
			@p_garantiaDias,
			@p_garantiaHoras,
			@p_vigente,
			@p_id_marca,
			@p_peso)
UPDATE [cat_catalogo.repuesto] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_cat_catalogo_repuesto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_cat_catalogo_repuesto]
GO
CREATE PROCEDURE [act_cat_catalogo_repuesto]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
EXEC [act_cat_catalogo]
	@p_active,
	@p_id,
@p_id_usuario_modifico
	UPDATE [cat_catalogo.repuesto]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_cat_catalogo_repuesto_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_cat_catalogo_repuesto_m]
GO
CREATE PROCEDURE [reg_cat_catalogo_repuesto_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[catalogo.repuesto] AS [catalogo.repuesto],
		[garantiaDias] AS [garantiaDias],
		[garantiaHoras] AS [garantiaHoras],
		[vigente] AS [vigente],
		[id_marca] AS [id_marca],
		[peso] AS [peso]
	FROM [cat_catalogo.repuesto]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_catalogo_repuestosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_catalogo_repuestosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_cat_catalogo_repuestosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_catalogo.repuesto]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_catalogo_repuestosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_catalogo_repuestosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_cat_catalogo_repuestosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_catalogo.repuesto]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_catalogo_repuestosXmarca_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_catalogo_repuestosXmarca_m]
GO
CREATE PROCEDURE [sel_cat_catalogo_repuestosXmarca_m]
	@p_id_marca INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_catalogo.repuesto]
	WHERE ([id_marca]= @p_id_marca)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_catalogo_repuestos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_catalogo_repuestos_m]
GO
CREATE PROCEDURE [sel_cat_catalogo_repuestos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_cat_catalogo_repuesto]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_cat_catalogo_repuestos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_cat_catalogo_repuestos_m]
GO
CREATE PROCEDURE [lis_cat_catalogo_repuestos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[catalogo.repuesto] AS [cat_catalogo.repuesto]
	FROM [cat_catalogo.repuesto]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_cat_catalogo_repuesto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_cat_catalogo_repuesto]
GO
CREATE PROCEDURE [aud_cat_catalogo_repuesto]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [cat_catalogo.repuesto].id as id_tabla,
	[cat_catalogo.repuesto].id_usuario_modifico as id_usuario_modifico,
	[cat_catalogo.repuesto].id_usuario_creo as id_usuario_creo,
	[cat_catalogo.repuesto].fechaModificacion as fechaModificacion,
	[cat_catalogo.repuesto].fechaCreacion as fechaCreacion,
	[cat_catalogo.repuesto].active as active,
	[cat_catalogo.repuesto].[catalogo.repuesto] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [cat_catalogo.repuesto]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[cat_catalogo.repuesto].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[cat_catalogo.repuesto].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'cat_catalogo.repuesto'
-----------------------------------27/12/2016 12:02:45